<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__pwm__alignment" kind="group">
    <compoundname>group_tcpwm_pwm_alignment</compoundname>
    <title>PWM Alignment</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__pwm__alignment_1ga11be53f7e2d3b141f52d6ed2d7ef8c6a" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_LEFT_ALIGN</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>PWM is left aligned, meaning it starts high. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="139" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="139" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__alignment_1ga9af577ab77d36f3a837b47e33411f5a5" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_RIGHT_ALIGN</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>PWM is right aligned, meaning it starts low. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="140" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="140" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__alignment_1gab1094e41e0202ed16b4ca5d2bbc26578" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_CENTER_ALIGN</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>PWM is centered aligned, terminal count only occurs on underflow. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="142" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="142" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__alignment_1ga12990254691acf4cee5508739afd663c" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_ASYMMETRIC_ALIGN</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>PWM is asymmetrically aligned, terminal count occurs on overflow and underflow. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="144" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="144" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__alignment_1ga87a99aee75877fc343dfcece58f94749" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_ASYMMETRIC_CC0_CC1_ALIGN</name>
        <initializer>(4U)</initializer>
        <briefdescription>
<para>PWM is asymmetrically aligned, line pulse period is equal to CC1-CC0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="145" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="145" />
      </memberdef>
      <memberdef id="group__group__tcpwm__pwm__alignment_1gaac1c42fa2d81919d5807c7b4e9c9e16b" kind="define" prot="public" static="no">
        <name>CY_TCPWM_PWM_CENTER_ASYMMETRIC_CC0_CC1_ALIGN</name>
        <initializer>(5U)</initializer>
        <briefdescription>
<para>PWM is asymmetrically aligned, TBD. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="146" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="146" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Sets the alignment of the PWM. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>